Name: sudokut
Version: 0.7
Release: 0%{dist}.1sunshine
Summary: A Sudoku solver
Source0: http://downloads.sourceforge.net/%{name}/%{name}%{version}.tgz
URL: http://sourceforge.net/projects/%{name}/
Group: Amusements/Games
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
# the file License_terms is clear and ambiguous at the same time *sigh*
BuildArch: noarch
License: TCL
Requires: tcl

%description
Sudokut is a platform-independent Sudoku Solver written in Tcl. It is a
command line tool, with no graphic interface: just pass a sudoku problem as
a string to the command and it returns all possible solutions.

%prep
%setup -q -n %{name}%{version}

%build
# nothing to build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_mandir}/man1

%{__install} -p -m755 %{name} %{buildroot}%{_bindir}
%{__install} -p -m644 %{name}.1 %{buildroot}%{_mandir}/man1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc README CHANGES LICENSE sudokut.html
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Apr 08 2014 Moritz Barsnick <moritz+rpm@barsnick.net> 0.7-0.1sunshine
- update to 0.7
- fix URL
- package more documentation

* Mon May 09 2011 Moritz Barsnick <moritz+rpm@barsnick.net> 0.4-0.1sunshine
- initial RPM
